Report fraud on a transaction
curl --request POST \
--url https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"isFraud": false,
"fraudNotes": "Merchant is believed to commonly be used for card testing."
}
'import requests
url = "https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud"
payload = {
"isFraud": False,
"fraudNotes": "Merchant is believed to commonly be used for card testing."
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isFraud: false,
fraudNotes: 'Merchant is believed to commonly be used for card testing.'
})
};
fetch('https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'isFraud' => false,
'fraudNotes' => 'Merchant is believed to commonly be used for card testing.'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud"
payload := strings.NewReader("{\n \"isFraud\": false,\n \"fraudNotes\": \"Merchant is believed to commonly be used for card testing.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"isFraud\": false,\n \"fraudNotes\": \"Merchant is believed to commonly be used for card testing.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isFraud\": false,\n \"fraudNotes\": \"Merchant is believed to commonly be used for card testing.\"\n}"
response = http.request(request)
puts response.read_body{
"details": "Chargeback successfully reported."
}{
"invalidField": [
"This field is required."
]
}{
"details": "Incorrect authentication credentials."
}{
"details": "Internal server error."
}Feedback and Reporting
Report fraud on a transaction
An endpoint for reporting suspected fraud on a transaction which was not related to a chargeback, decline, or refund. If you’ve already indicated suspected fraud in a chargeback, decline, or refund, it’s not necessary to send a request to this endpoint. The isFraud, fraudType, and fraudNotes fields are used to provide information about fraud or suspected fraud on this transaction. Note that this transaction must previously have been enriched to report other fraud information.
POST
/
enrichments
/
{enrichmentId}
/
fraud
Report fraud on a transaction
curl --request POST \
--url https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <api-key>' \
--data '
{
"isFraud": false,
"fraudNotes": "Merchant is believed to commonly be used for card testing."
}
'import requests
url = "https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud"
payload = {
"isFraud": False,
"fraudNotes": "Merchant is believed to commonly be used for card testing."
}
headers = {
"X-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
isFraud: false,
fraudNotes: 'Merchant is believed to commonly be used for card testing.'
})
};
fetch('https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'isFraud' => false,
'fraudNotes' => 'Merchant is believed to commonly be used for card testing.'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud"
payload := strings.NewReader("{\n \"isFraud\": false,\n \"fraudNotes\": \"Merchant is believed to commonly be used for card testing.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Api-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud")
.header("X-Api-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"isFraud\": false,\n \"fraudNotes\": \"Merchant is believed to commonly be used for card testing.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://east.sandbox.spade.com/enrichments/{enrichmentId}/fraud")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Api-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"isFraud\": false,\n \"fraudNotes\": \"Merchant is believed to commonly be used for card testing.\"\n}"
response = http.request(request)
puts response.read_body{
"details": "Chargeback successfully reported."
}{
"invalidField": [
"This field is required."
]
}{
"details": "Incorrect authentication credentials."
}{
"details": "Internal server error."
}Path Parameters
Body
application/json

